Package weka.core.pmml.jaxbbindings

# Class Aggregate

java.lang.Object
weka.core.pmml.jaxbbindings.Aggregate

public class Aggregate extends Object

Java class for Aggregate element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Aggregate">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="field" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="function" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="count"/>
                   <enumeration value="sum"/>
                   <enumeration value="average"/>
                   <enumeration value="min"/>
                   <enumeration value="max"/>
                   <enumeration value="multiset"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="groupField" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="sqlWhere" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Aggregate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getField()`
  Gets the value of the field property.
  `String`
  `getFunction()`
  Gets the value of the function property.
  `String`
  `getGroupField()`
  Gets the value of the groupField property.
  `String`
  `getSqlWhere()`
  Gets the value of the sqlWhere property.
  `void`
  `setField(String value)`
  Sets the value of the field property.
  `void`
  `setFunction(String value)`
  Sets the value of the function property.
  `void`
  `setGroupField(String value)`
  Sets the value of the groupField property.
  `void`
  `setSqlWhere(String value)`
  Sets the value of the sqlWhere property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Aggregate

    public Aggregate()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getField

    public String getField()
    Gets the value of the field property.
    Returns:
      possible object is `String`

  - ### setField

    public void setField(String value)
    Sets the value of the field property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFunction

    public String getFunction()
    Gets the value of the function property.
    Returns:
      possible object is `String`

  - ### setFunction

    public void setFunction(String value)
    Sets the value of the function property.
    Parameters:
      `value` - allowed object is `String`

  - ### getGroupField

    public String getGroupField()
    Gets the value of the groupField property.
    Returns:
      possible object is `String`

  - ### setGroupField

    public void setGroupField(String value)
    Sets the value of the groupField property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSqlWhere

    public String getSqlWhere()
    Gets the value of the sqlWhere property.
    Returns:
      possible object is `String`

  - ### setSqlWhere

    public void setSqlWhere(String value)
    Sets the value of the sqlWhere property.
    Parameters:
      `value` - allowed object is `String`